Slurm API(3)

NAME
slurm_complete_job, slurm_complete_job_step - Slurm job completion calls

SYNTAX

#include <slurm/slurm.h>

int slurm_complete_job (
    uint32_t job_id,
    uint32_t job_return_code,
    uint32_t system_return_code
);

int slurm_complete_job_step (
    uint32_t job_id,
    uint32_t job_step_id,
    uint32_t job_return_code,
    uint32_t system_return_code
);

ARGUMENTS

job_id
    Slurm job id number.

job_step_id
    Slurm job step id number.

job_return_code
    Highest exit code of any task of the user's application. A non-zero value is considered as an indication of job failure.

system_return_code
    Highest exit code of any system daemon executing the user's application. A non-zero value is considered as an indication of failure, such as error setting the job's session ID, error creating a log file, etc.

DESCRIPTION

slurm_complete_job Note the termination of a job. This function may only be successfully executed by the job's owner or user root.

slurm_complete_job_step Note the termination of a job step. This function may only be successfully executed by the job's owner or user root.

RETURN VALUE

On success, zero is returned. On error, -1 is returned, and Slurm error code is set appropriately.

ERRORS

SLURM_PROTOCOL_VERSION_ERROR Protocol version has changed, re-link your code.

ESLURM_INVALID_JOB_ID the requested job id does not exist.

ESLURM_ALREADY_DONE the specified job has already completed and can not be modified.

ESLURM_ACCESS_DENIED the requesting user lacks authorization for the requested action (e.g. trying to delete or modify another user's job).

ESLURM_INTERCONNECT_FAILURE failed to configure the node interconnect.

SLURM_PROTOCOL_SOCKET_IMPL_TIMEOUT Timeout in communicating with SLURM controller.

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO

slurm_get_errno(3), slurm_perror(3), slurm_strerror(3)